| OrbbecSDK 1.5.7 OrbbecSDK: Software-Development-Kit for Orbbec 3D-Sensor devices

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
ob::Config Class Reference

`#include <Pipeline.hpp>`

## Public Member Functions
| Config ()
| ~Config () noexcept
void | enableStream (std::shared_ptr< StreamProfile > streamProfile)
| Configure the stream to be enabled. More...
void | enableAllStream ()
| Configure all streams to be enabled. More...
void | disableStream (OBStreamType streamType)
| Configure the stream to be disabled. More...
void | disableAllStream ()
| Configure all streams to be disabled. More...
void | setAlignMode (OBAlignMode mode)
| Set the alignment mode. More...
void | setDepthScaleRequire (bool enable)
| Whether the depth needs to be scaled after setting D2C. More...
void | setD2CTargetResolution (uint32_t d2cTargetWidth, uint32_t d2cTargetHeight)
| Set the D2C target resolution, which is applicable to cases where the Color stream is not enabled using the OrbbecSDK and the depth needs to be D2C Note: When you use OrbbecSDK to enable the Color stream, you also use this interface to set the D2C target resolution. The configuration of the enabled Color stream is preferred for D2C. More...

## Friends
class | Pipeline

## Detailed Description

Definition at line 286 of file Pipeline.hpp.

## Constructor & Destructor Documentation

ob::Config::Config | ( |  | ) |

ob::Config::~Config | ( |  | ) |
| noexcept

## Member Function Documentation

void ob::Config::enableStream | ( | std::shared_ptr< StreamProfile > | streamProfile | ) |

Configure the stream to be enabled.

Parameters

  streamProfile | Stream configuration

void ob::Config::enableAllStream | ( |  | ) |

Configure all streams to be enabled.

void ob::Config::disableStream | ( | OBStreamType | streamType | ) |

Configure the stream to be disabled.

Parameters

  streamType | Stream configuration

void ob::Config::disableAllStream | ( |  | ) |

Configure all streams to be disabled.

void ob::Config::setAlignMode | ( | OBAlignMode | mode | ) |

Set the alignment mode.

Parameters

  mode | Align State Mode

void ob::Config::setDepthScaleRequire | ( | bool | enable | ) |

Whether the depth needs to be scaled after setting D2C.

Parameters

  enable | Whether scaling is required

void ob::Config::setD2CTargetResolution | ( | uint32_t | d2cTargetWidth,
|  | uint32_t | d2cTargetHeight
| ) |  |

Set the D2C target resolution, which is applicable to cases where the Color stream is not enabled using the OrbbecSDK and the depth needs to be D2C Note: When you use OrbbecSDK to enable the Color stream, you also use this interface to set the D2C target resolution. The configuration of the enabled Color stream is preferred for D2C.

Parameters

  d2cTargetWidth | The D2C target has a wide resolution
  d2cTargetHeight | The D2C target has a high resolutio

## Friends And Related Function Documentation

friend class Pipeline
| friend

Definition at line 378 of file Pipeline.hpp.

The documentation for this class was generated from the following file:

- /root/libobsensor/include/libobsensor/hpp/Pipeline.hpp